## org.gnu.gtk
Class ImageType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.ImageType

public class ImageType
extends Enum

Describes the image data represented by a `Image`.

     EMPTY
     There is no Image displayed by the widget.
     PIXMAP
     The widget contains a Pixmap
     IMAGE
     The widget contains a Image
     PIXBUF
     The widget contains a Pixbuf
     STOCK
     The widget contains a stock icon name.
     ICON_SET
     The widget contains a IconSet
     ANIMATION
     The widget contains a PixbufAnimation

Field Summary
`static ImageType` `ANIMATION`
`static ImageType` `EMPTY`
`static ImageType` `ICON_NAME`
`static ImageType` `ICON_SET`
`static ImageType` `IMAGE`
`static ImageType` `PIXBUF`
`static ImageType` `PIXMAP`
`static ImageType` `STOCK`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`ImageType` `and(ImageType other)`
`static ImageType` `intern(int value)`
`ImageType` `or(ImageType other)`
`boolean` `test(ImageType other)`
`ImageType` `xor(ImageType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY

    public static final ImageType EMPTY

### PIXMAP

    public static final ImageType PIXMAP

### IMAGE

    public static final ImageType IMAGE

### PIXBUF

    public static final ImageType PIXBUF

### STOCK

    public static final ImageType STOCK

### ICON_SET

    public static final ImageType ICON_SET

### ANIMATION

    public static final ImageType ANIMATION

### ICON_NAME

    public static final ImageType ICON_NAME

Method Detail

### intern

    public static ImageType intern(int value)

### or

    public ImageType or(ImageType other)

### and

    public ImageType and(ImageType other)

### xor

    public ImageType xor(ImageType other)

### test

    public boolean test(ImageType other)